Search documentation of ash

# Ash.Type.DurationName (ash v3.4.71)

View Source

An interval of time, primarily meant to be used in expression functions

Valid intervals are (as strings or atoms): [:year, :month, :week, :day, :hour, :minute, :second, :millisecond, :microsecond]

# Summary

## Types

t()

## Functions

handle_change?()
prepare_change?()

# Types

# t()

    @type t() ::
      :microsecond
      | :millisecond
      | :second
      | :minute
      | :hour
      | :day
      | :week
      | :month
      | :year

# Functions

# handle_change?()

# prepare_change?()